Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class LocalizedNameUnmarshaller

    java.lang.Object
      org.opensaml.xml.io.AbstractXMLObjectUnmarshaller
          org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller
              edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedNameUnmarshaller

All Implemented Interfaces:
  org.opensaml.xml.io.Unmarshaller

Direct Known Subclasses:
  DescriptionUnmarshaller, DisplayNameUnmarshaller

    public class LocalizedNameUnmarshaller

extends org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller

A thread-safe unmarshaller for `LocalizedName` objects.

Constructor Summary
`LocalizedNameUnmarshaller()`

Method Summary
`protected void` | `processAttribute(org.opensaml.xml.XMLObject samlObject, Attr attribute)`
`protected void` | `processElementContent(org.opensaml.xml.XMLObject samlObject, String elementContent)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller
`processChildElement`

Methods inherited from class org.opensaml.xml.io.AbstractXMLObjectUnmarshaller
`buildXMLObject, checkElementIsTarget, checkIDAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedNameUnmarshaller

    public LocalizedNameUnmarshaller()

Method Detail

### processAttribute

    protected void processAttribute(org.opensaml.xml.XMLObject samlObject,
                                    Attr attribute)
                             throws org.opensaml.xml.io.UnmarshallingException

  Overrides:
    `processAttribute` in class `org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller`
  Throws:
    `org.opensaml.xml.io.UnmarshallingException`

### processElementContent

    protected void processElementContent(org.opensaml.xml.XMLObject samlObject,
                                         String elementContent)

  Overrides:
    `processElementContent` in class `org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.